Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.logging
[Java] Class Logging

    java.lang.Object
      org.gradle.api.logging.Logging

    public class Logging

The main entry point for Gradle's logging system. Gradle routes all logging via SLF4J. You can use either an SLF4J org.slf4j.Logger or a Gradle Logger to perform logging.

Field Summary
`static Map` | `ANT_IVY_2_SLF4J_LEVEL_MAPPER`
`static Marker` | `LIFECYCLE`
`static Marker` | `QUIET`

Method Summary
`static Logger` | `getLogger(Class c)` Returns the logger for the given class.
`static Logger` | `getLogger(String name)` Returns the logger with the given name.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ANT_IVY_2_SLF4J_LEVEL_MAPPER

    public static final Map ANT_IVY_2_SLF4J_LEVEL_MAPPER

### LIFECYCLE

    public static final Marker LIFECYCLE

### QUIET

    public static final Marker QUIET

Method Detail

### getLogger

    public static Logger getLogger(Class c)

  Returns the logger for the given class.
  Parameters:
    `c` - the class.
  Returns:
    the logger. Never returns null.

### getLogger

    public static Logger getLogger(String name)

  Returns the logger with the given name.
  Parameters:
    `name` - the logger name.
  Returns:
    the logger. Never returns null.

Gradle API 1.10